#
# spec file for package gtkimageview
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gtkimageview
Version:        1.6.4
Release:        24.3
Summary:        Library providing an advanced widget for GdkPixbuf
License:        LGPL-2.0+
Group:          Development/Libraries/GNOME
Url:            http://trac.bjourne.webfactional.com
Source:         gtkimageview-%{version}.tar.bz2
BuildRequires:  gtk2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GtkImageView is a widget that provides a zoomable and panable view of a
GdkPixbuf. It is intended to be usable in most types of image viewing
applications.

%package -n libgtkimageview0
Summary:        Library providing an advanced widget for GdkPixbuf
Group:          Development/Libraries/GNOME

%description -n libgtkimageview0
GtkImageView is a widget that provides a zoomable and panable view of a
GdkPixbuf. It is intended to be usable in most types of image viewing
applications.

%package devel
Summary:        Library providing an advanced widget for GdkPixbuf - Development Files
Group:          Development/Libraries/GNOME
Requires:       gtk2-devel
Requires:       libgtkimageview0 = %{version}
Provides:       libgtkimageview-devel = %{version}
Obsoletes:      libgtkimageview-devel < %{version}

%description devel
GtkImageView is a widget that provides a zoomable and panable view of a
GdkPixbuf. It is intended to be usable in most types of image viewing
applications.

%prep
%setup -q
# Allow the usage of deprecated functions of gdk-pixbuf
sed -i "s:-DGDK_PIXBUF_DISABLE_DEPRECATED::g" configure
# As deprecations are still a warning, we also have to stop raising them to errors
sed -i "s:-Werror::g" configure

%build
%configure --disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
rm %{buildroot}%{_libdir}/*.la

%check
make %{?jobs:-j%jobs} check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libgtkimageview0
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/gtkimageview/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/gtkimageview

%changelog
* Thu Nov 27 2014 dimstar@opensuse.org
- Allow building with newer gdk-pixbuf: gtkimageview is legacy and
  will not be ported to the new API.
  + Remove -DGDK_PIXBUF_DISABLE_DEPRECATED and -Werror from CFLAGS.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Mon Jan  4 2010 vuntz@opensuse.org
- Rename source package from libgtksourceview0 to gtksourceview.
  Fixes bnc#450605.
- Update to version 1.6.4:
  + Experimental support for the build tool waf.
  + Fix test failures when compiling with -O0.
  + Ensure that conversions from double to int are performed
    correctly.
  + Clarify what gtk_image_view_get_draw_rect() and
    gtk_image_view_get_viewport() returns when the view is not
    allocated.
- Changes from version 1.6.3:
  + Distribute testlib.h.
- Changes from version 1.6.2:
  + Too small zoom factors are disallowed, to prevent memory abuse.
  + Horizontal scrolls should not crash GtkImageView anymore.
  + gtk_image_view_image_to_widget_rect() ceils the size of the
    output rectangle.
  + Various bug fixes.
- Clean up packaging.
- Remove gnome-common, gtk-doc BuildRequires.
- Drop gtkimageview-nowerror.patch: this should not be needed.
- Move the make check step to %%check.
* Mon Apr 14 2008 postadal@suse.cz
- updated to 1.6.1
  * bugfixes, improved documentation
* Tue Feb 19 2008 nadvornik@suse.cz
- new package, required by ufraw
- originally packaged by hfiguiere@novell.com for OBS
- update to 1.6.0
- submitted to abuild
